﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.ServiceModel.Channels;
using System.Xml;

namespace DeliciousServer
{
    class RecipeMessageBuilder : BodyWriter
    {
        public RecipeMessageBuilder() : base(false) { }

        protected override void OnWriteBodyContents(XmlDictionaryWriter writer)
        {
			System.Console.WriteLine(DateTime.Now.ToLongTimeString() + ": sending recipes to client...");

            writer.WriteStartElement("DeliciousService");
            writer.WriteRaw(File.ReadAllText("../../recipes.xml"));
            writer.WriteEndElement();
        }
    }
}
